Download it now!
Bug 127195 - Strange placement of "Don't show this again" box in No help installed dialog
Summary: Strange placement of "Don't show this again" box in No help installed dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Help-Msgbox
  Show dependency treegraph
 
Reported: 2019-08-28 12:34 UTC by Gabor Kelemen
Modified: 2019-09-13 15:16 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the problem (8.42 KB, image/png)
2019-08-28 12:34 UTC, Gabor Kelemen
Details
Screenshot with Gtk3 (31.41 KB, image/png)
2019-09-04 08:37 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gabor Kelemen 2019-08-28 12:34:13 UTC
Created attachment 153708 [details]
Screenshot of the problem

The No help installed dialog has the "Don't show this again" checkbox placed below the buttons instead of above them, like such dialogs usually have them.
Comment 1 V Stuart Foote 2019-08-28 14:03:52 UTC
Hmm, maybe not the best GTK packing of the popup, either before or maybe aligned to left edge if still after.

=-ref-=
https://gerrit.libreoffice.org/#/c/55254/
Comment 2 Heiko Tietze 2019-09-04 08:37:59 UTC
Created attachment 153856 [details]
Screenshot with Gtk3

Content is centered, which looks weird indeed.
Comment 3 Commit Notification 2019-09-12 21:18:37 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8a231fc4114d435f92cfda36aa2e5e38ecef0ada%5E%21

Resolves tdf#127195 - Placement of "Don't show again" box in No help

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-09-13 15:16:44 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e40e04c83f3c8e962c838d63124e653d7dfede89%5E%21

Related: tdf#127195 use MessageDialogController to relocate checkbox

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.